# JetBrains_Configuration

This repo contains the common configuration for JetBrains IDEs accross the Dojo project.

## How to use it

1. Go to IDE settings folder of the project (`.idea` by default)
```bash
cd .idea
```
2. Add this repo as submodule
```bash
git submodule add ssh://git@ssh.hesge.ch:10572/isc/projects/dojo/projects/shared/jetbrains_configuration.git jetbrainsConfiguration
```
3. Symlink the configuration files and folders
```bash
ln -s jetbrainsConfiguration/codeStyles/ codeStyles
ln -s jetbrainsConfiguration/dataSources/ dataSources
ln -s jetbrainsConfiguration/inspectionProfiles/ inspectionProfiles
ln -s jetbrainsConfiguration/rootFiles/* ./
```


## Automatic formatting on save
1. Go to `Settings > Tools > Actions on Save`
2. Check `Reformat on file save`, `Optimize imports on file save` and `Rearrange code on file save`